<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>polylib: ext_ehrhart.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>File&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>ext_ehrhart.h File Reference</h1>
<p><a href="ext__ehrhart_8h_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct__enumeration.html">Enumeration</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ext__ehrhart_8h.html#a1a7c95208634df638d39a6656d4abb76">Domain_Enumerate</a> (<a class="el" href="structpolyhedron.html">Polyhedron</a> *D, <a class="el" href="structpolyhedron.html">Polyhedron</a> *C, unsigned MAXRAYS, const char **pn)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ext__ehrhart_8h.html#a1758d39c40dcdf8916517a34133f54e8">new_eadd</a> (<a class="el" href="struct__evalue.html">evalue</a> *e1, <a class="el" href="struct__evalue.html">evalue</a> *res)</td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="a1a7c95208634df638d39a6656d4abb76"></a><!-- doxytag: member="ext_ehrhart.h::Domain_Enumerate" ref="a1a7c95208634df638d39a6656d4abb76" args="(Polyhedron *D, Polyhedron *C, unsigned MAXRAYS, const char **pn)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct__enumeration.html">Enumeration</a>* Domain_Enumerate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structpolyhedron.html">Polyhedron</a> *&nbsp;</td>
          <td class="paramname"> <em>D</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structpolyhedron.html">Polyhedron</a> *&nbsp;</td>
          <td class="paramname"> <em>C</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned&nbsp;</td>
          <td class="paramname"> <em>MAXRAYS</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char **&nbsp;</td>
          <td class="paramname"> <em>pn</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="ext__ehrhart_8c_source.html#l00702">702</a> of file <a class="el" href="ext__ehrhart_8c_source.html">ext_ehrhart.c</a>.</p>

<p>References <a class="el" href="ext__ehrhart_8c_source.html#l00680">AffConstraints()</a>, <a class="el" href="types_8h_source.html#l00190">_evalue::d</a>, <a class="el" href="ext__ehrhart_8c_source.html#l00690">Degenerate()</a>, <a class="el" href="polyhedron_8c_source.html#l04404">Disjoint_Domain()</a>, <a class="el" href="ext__ehrhart_8c_source.html#l00668">DMUnion()</a>, <a class="el" href="polyhedron_8c_source.html#l01616">Domain_Free()</a>, <a class="el" href="polyhedron_8c_source.html#l03608">DomainDifference()</a>, <a class="el" href="polyhedron_8c_source.html#l02607">DomainIntersection()</a>, <a class="el" href="ehrhart_8c_source.html#l00167">ecopy()</a>, <a class="el" href="types_8h_source.html#l00134">emptyQ</a>, <a class="el" href="types_8h_source.html#l00207">_enumeration::EP</a>, <a class="el" href="ehrhart_8c_source.html#l00139">free_evalue_refs()</a>, <a class="el" href="ext__ehrhart_8c_source.html#l00658">IncludeInRes()</a>, <a class="el" href="ext__ehrhart_8c_source.html#l00320">new_eadd()</a>, <a class="el" href="ext__ehrhart_8c_source.html#l00027">_Polyhedron_union::next</a>, <a class="el" href="types_8h_source.html#l00208">_enumeration::next</a>, <a class="el" href="types_8h_source.html#l00115">polyhedron::next</a>, <a class="el" href="polyhedron_8h_source.html#l00030">POL_ENSURE_FACETS</a>, <a class="el" href="polyhedron_8h_source.html#l00034">POL_ENSURE_VERTICES</a>, <a class="el" href="ehrhart_8c_source.html#l01860">Polyhedron_Enumerate()</a>, <a class="el" href="ext__ehrhart_8c_source.html#l00026">_Polyhedron_union::pt</a>, <a class="el" href="ext__ehrhart_8c_source.html#l00634">Remove_RedundantDomains()</a>, <a class="el" href="types_8h_source.html#l00206">_enumeration::ValidityDomain</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00459">value_assign</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00458">value_init</a>, and <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00553">value_zero_p</a>.</p>

<p>Referenced by <a class="el" href="ehrhart__union_8c_source.html#l00144">main()</a>, <a class="el" href="ext__ehrhart_8c_source.html#l00835">Polyhedron_Image_Enumerate()</a>, and <a class="el" href="ranking_8c_source.html#l00192">Polyhedron_LexSmallerEnumerate()</a>.</p>

</div>
</div>
<a class="anchor" id="a1758d39c40dcdf8916517a34133f54e8"></a><!-- doxytag: member="ext_ehrhart.h::new_eadd" ref="a1758d39c40dcdf8916517a34133f54e8" args="(evalue *e1, evalue *res)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void new_eadd </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct__evalue.html">evalue</a> *&nbsp;</td>
          <td class="paramname"> <em>e1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct__evalue.html">evalue</a> *&nbsp;</td>
          <td class="paramname"> <em>res</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="ext__ehrhart_8c_source.html#l00320">320</a> of file <a class="el" href="ext__ehrhart_8c_source.html">ext_ehrhart.c</a>.</p>

<p>References <a class="el" href="types_8h_source.html#l00201">_enode::arr</a>, <a class="el" href="types_8h_source.html#l00190">_evalue::d</a>, <a class="el" href="ehrhart_8c_source.html#l00167">ecopy()</a>, <a class="el" href="ext__ehrhart_8c_source.html#l00320">new_eadd()</a>, <a class="el" href="ehrhart_8c_source.html#l00114">new_enode()</a>, <a class="el" href="vector_8c_source.html#l00760">p</a>, <a class="el" href="types_8h_source.html#l00181">periodic</a>, <a class="el" href="types_8h_source.html#l00181">polynomial</a>, <a class="el" href="ext__ehrhart_8c_source.html#l00548">ppcm1()</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00514">value_addto</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00459">value_assign</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00462">value_clear</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00524">value_divexact</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00532">value_gcd</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00458">value_init</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00519">value_multiply</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00556">value_notone_p</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00554">value_notzero_p</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00460">value_set_si</a>, and <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00553">value_zero_p</a>.</p>

<p>Referenced by <a class="el" href="ext__ehrhart_8c_source.html#l00702">Domain_Enumerate()</a>, and <a class="el" href="ext__ehrhart_8c_source.html#l00320">new_eadd()</a>.</p>

</div>
</div>
</div>
<hr size="1"/><address style="text-align: right;"><small>Generated on Wed Nov 25 17:45:27 2009 for polylib by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
